package com.jpattern.core;

import java.io.Serializable;

import com.jpattern.service.log.ILoggerService;
import com.jpattern.service.mail.IMailService;
import com.jpattern.core.command.ICommand;

/**
 * 
 * @author Francesco Cina'
 *
 * 07/apr/2010
 */
public interface IProvider extends Serializable {
	
    void accept(ICommand aCommand);

    IService getService(String serviceName);
    
    ILoggerService getLoggerService();
    
    IMailService getMailService();
    
    boolean contains(String aServiceName);
}
