package com.jpattern.core;

import com.jpattern.core.IProvider;
import com.jpattern.core.ISystem;

/**
*
* @author ARHS Developments
*         Francesco Cina' - 29/giu/2011 
* @version $Revision
 */
public class SystemProxy implements ISystemProxy {

	private static final long serialVersionUID = 1L;
	private IProvider applicationProvider;
	private static ISystemProxy proxy = null;
	private final ISystem applicationService;
	
	public SystemProxy(ISystem applicationService, IProvider applicationProvider) {
        this.applicationService = applicationService;
		proxy = this;
		this.applicationProvider = applicationProvider;
	}
	
	@Override
	public IProvider getProvider() {
	    return applicationProvider;
	}

	@Override
	public ISystem getSystem() {
		return applicationService;
	}   

	public static ISystemProxy proxy() {
		return proxy;
	}
}
