package com.jpattern.core.command;

import com.jpattern.core.command.ACommand;
import com.jpattern.core.command.ICommandResult;


/**
 * 
 * @author Francesco Cina'
 *
 * 27/feb/2011
 * 
 * This implementation of ICommandExecutor is a very simple
 * executor which launches the execution in a Synchronous way.
 * The next ICommand in the chain is executed even if the result
 * of the previous ICommand is not valid.
 */
public class UnconditionalCommandExecutor implements ICommandExecutor {

	private static final long serialVersionUID = 1L;

	@Override
	public void addCommandToPool(ACommand aCommand) {
		aCommand.run();
	}
	
	@Override
	public boolean executeNext(ICommandResult result) {
		return true;
	}
	
	@Override
	public IChainStrategy getChainStrategy() {
		return new UnmanagedChainStrategy();
	}

}
